import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";
import { LeaveTypeProfileUnion } from "../entities/LeaveTypeProfile";
import { FisCreateMessageUtility, LeaveTypeProfile } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class LeaveTypeProfileDataService extends CommonDataService {
    
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Leave Type Profile Data", "parameter": "" };

    constructor(http: HttpService, ucpId: string, data= LeaveTypeProfileDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof LeaveTypeProfileUnion> {
       
            let message : Array<typeof LeaveTypeProfileUnion> = [];
            let data: LeaveTypeProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }
    
    
}