import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { ProductProfile, ProductProfileUnion } from "../entities/ProductProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class ProductProfileDataService extends CommonDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Product Profile Data", "parameter": "" };

    constructor(http: HttpService, ucpId: string, data= ProductProfileDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof ProductProfileUnion> {
       
            let message : Array<typeof ProductProfileUnion> = [];
            let data: ProductProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }
    
    
}