export class ConvertedResult {
    className: string;
    data: string;
    filter: string;
    returnFormatType: string;
    returnSequenceNumber: number = 0;
    returnSequenceTotal: number = 0;

    constructor(className,
        data,
        filter,
        returnFormatType,
        returnSequenceNumber = 0,
        returnSequenceTotal = 0,
        ) {

        this.className = className;
        this.data = data;
        this.filter = filter;
        this.returnFormatType = returnFormatType;
        this.returnSequenceNumber = returnSequenceNumber;
        this.returnSequenceTotal = returnSequenceTotal;
    }
}