import { ValidatorConstraint, ValidatorConstraintInterface, ValidationArguments } from 'class-validator';
import { DataServiceManager } from '../Manager.dataservice';

@ValidatorConstraint({ name: 'customClassname', async: false })
export class CustomClassname implements ValidatorConstraintInterface {
  validate(text: string, args: ValidationArguments) {
    if(DataServiceManager.classes[text]){

        return true;
    }
    return false

  }

  defaultMessage(args: ValidationArguments) {
    return 'Classname Not found!';
  }
}