import { Controller, Post, Req } from '@nestjs/common';
import { Observable } from 'rxjs';
import { DataServiceMessage } from 'src/FisAppQueryModule/entities/DataService.entity';

import { DataServiceManager } from '../FisAppQueryModule/Manager.dataservice';

@Controller('CommonServiceChannel')
export class CommonServiceChannelController {


  @Post()
  post(@Req() req: any): Promise<DataServiceMessage> {
    let result;
    return new Promise((resolve, reject) => {
      DataServiceManager.getDataServiceData(req.body.data.className, req.body.data.filter, req.body.data.returnFormatType, 0).subscribe({
        next: res => {
          result = res;
        },
        complete: () => {
          resolve(result);
        },
        error: e => {
          reject(e)
        }
      })
    })
  }

}
